Subject: Re: [Gen-art] Assignment: draft-ietf-tls-ecc-12.txt

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 15 Jan 2006 10:39:27 -0500

My concern is that it is very rare for the IETF to define bits on the wire 
in Informational RFCs.  It is done for outside contributions, but not 
usually for our own work.

Typically, if there is concern about standardization, we put something as 
experimental.
If this is chosen for experimental due to IPR concerns, it would seem to 
make sense to say something about that IPR situation in the document, to 
explain why this is not standards track.
Otherwise, labeling informational / experimental actually does not help 
readers much.

Yours,
Joel

At 10:24 AM 1/15/2006, Eric Rescorla wrote:
>Joel M. Halpern <[email-masked]> wrote:
>
> > This document is not quite ready for publication as an informational RFC.
> >
> > My concern is the status of the document.  It is normal for Cipher
> > Suites (algorithm definitions) to be informational RFCs.  I have no
> > argument with that.
> > However, this document is not an algorithm definition.
> > Rather, it is the definition of a set of TLS extensions and the format
> > of the information in those TLS extensions.
> > As such, it is a definition for bits on a wire, not for a
> > computational algorithm.
> > (I was curious to see how the algorithm would be described, having
> > only seen exponential algorithms described in RFCs before.   The
> > algorithm is not described in this document.)
>
>I'm not sure I understand wha the issue is here. In TLS, "Cipher Suite"
>is a technical term that means that it's the definition for the bits
>on the wire. Indeed, the actual algorithms are almost always
>specified separately.
>
>As for the issue of Informational vs. Standards track, this is something
>that the TLS WG considered (under supervision of the AD) and concluded
>that due to the confusing intellectual property state of ECC the document
>was best proceeding as Informational. Why do you believe this to be
>inappropriate?
>
>-Ekr

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 15 Jan 2006 11:57:50 -0500

Given that I have no formal say in the matter, I believe that this is best 
dealt with by Russ and Brian.
My job was to raise the issue.

Yours,
Joel

At 10:50 AM 1/15/2006, Eric Rescorla wrote:
> > My concern is that it is very rare for the IETF to define bits on the
> > wire in Informational RFCs.  It is done for outside contributions, but
> > not usually for our own work.
> >
> > Typically, if there is concern about standardization, we put something
> > as experimental.
>
>Yes, but that's typically not for IPR reasons but rather for concerns
>about protocol quality. That's not the issue here and there's no
>intention to take this to Standards Track--at least until the IPR
>situation changes. Given that, it seems to me that Experimental
>is inappropriate.
>
>
> > If this is chosen for experimental due to IPR concerns, it would seem
> > to make sense to say something about that IPR situation in the
> > document, to explain why this is not standards track.
>
>This is exactly the kind of notice that RFC 3979 Section 11
>implies that one should not have in RFCs.
>
>
> > Otherwise, labeling informational / experimental actually does not
> > help readers much.
>
>I don't agree with this.
>
>However, at this point this is an issue for the IESG.
>
>-Ekr